#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.0
visibility:           public
id:                   persistent-test-2.0.3.0-KArFCJMudDQk7hciTUJjZ
key:                  persistent-test-2.0.3.0-KArFCJMudDQk7hciTUJjZ
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  5bd98cf87ae402dea4cf6b51550f6984
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest HtmlTest Init
    LargeNumberTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsNoPrefixTest PersistTestPetCollarType PersistTestPetType
    PersistUniqueTest PersistentTest PersistentTestModels PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.8.3/site-local/persistent-test-2.0.3.0
library-dirs:         /usr/lib/ghc-8.8.3/site-local/persistent-test-2.0.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/persistent-test-2.0.3.0
hs-libraries:         HSpersistent-test-2.0.3.0-KArFCJMudDQk7hciTUJjZ
depends:
    HUnit-1.6.0.0-I2MmbBeZarmFuj7otDSV2j
    QuickCheck-2.13.2-6fFQIFT0E4j6TGV1ji065T
    aeson-1.4.6.0-GeTJOGqZVuq2YsM7zVlr7H base-4.13.0.0
    blaze-html-0.9.1.2-4RtyBwX2BF447DinRsQS92 bytestring-0.10.10.0
    conduit-1.3.1.2-DLrbJB1oKAo6xij9ONNrus containers-0.6.2.1
    exceptions-0.10.4-JUrZHue9S26DL7DmYQK2uL
    hspec-2.7.1-JpER3kH85CS48HDUlD1kj2
    hspec-expectations-0.8.2-7RqMaTKnPbBBxd5tHbs06S
    monad-control-1.0.2.3-6NHwBnKCY8AKpL30OBOnOr
    monad-logger-0.3.32-1uSeS2hknjyDGiOkwlUxO3
    path-pieces-0.2.1-4Mdp2LpI8oW58Sv5wRi1EE
    persistent-2.10.5.2-9bVku2oGEBz1067sMOE12V
    persistent-template-2.8.2.3-BUhg6ZyNwgf4Fsuu52WJh1
    quickcheck-instances-0.3.22-6khalKbjM8G4yv1rRtNApV
    random-1.1-CUqV1zxrwrE4K5XCdTZSYy
    resourcet-1.2.3-1Ech8A5yx1h4iuMtdegpsC text-1.2.4.0 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-11mqPnEP0xSK8P8Qr7PbdN
    unliftio-0.2.12.1-JdreMGxeqMKAeA6Tahz5do
    unliftio-core-0.2.0.1-9YxW0LiOGZlEuOnmYen3Ur
    unordered-containers-0.2.10.0-1E0nFKYS8XWLVv5PGwMT0V

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

